nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value and std::is_integral< CompatibleNumberIntegerType >::value and not std::is_same< bool, CompatibleNumberIntegerType >::value > > Struct Template Reference

`#include <json.hpp>`

## Public Types

using | RealLimits = std::numeric_limits< RealIntegerType >
using | CompatibleLimits = std::numeric_limits< CompatibleNumberIntegerType >

## Static Public Attributes

static constexpr auto | value

## Member Typedef Documentation

## CompatibleLimits

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

using nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value and std::is_integral< CompatibleNumberIntegerType >::value and not std::is_same< bool, CompatibleNumberIntegerType >::value > >::CompatibleLimits = std::numeric_limits<CompatibleNumberIntegerType>

## RealLimits

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

using nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value and std::is_integral< CompatibleNumberIntegerType >::value and not std::is_same< bool, CompatibleNumberIntegerType >::value > >::RealLimits = std::numeric_limits<RealIntegerType>

## Member Data Documentation

## value

template<typename RealIntegerType , typename CompatibleNumberIntegerType >

constexpr auto nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value and std::is_integral< CompatibleNumberIntegerType >::value and not std::is_same< bool, CompatibleNumberIntegerType >::value > >::value

staticconstexpr

Initial value:
=
std::is_constructible<RealIntegerType,
CompatibleNumberIntegerType>::value and
CompatibleLimits::is_integer and
RealLimits::is_signed == CompatibleLimits::is_signed

The documentation for this struct was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp

nlohmann::detail::is_compatible_integer_type_impl< RealIntegerType, CompatibleNumberIntegerType, enable_if_t< std::is_integral< RealIntegerType >::value and std::is_integral< CompatibleNumberIntegerType >::value and not std::is_same< bool, CompatibleNumberIntegerType >::value > >::value
static constexpr auto value
Definition: json.hpp:2770